[arch-commits] Commit in epiphany/repos (staging-x86_64 staging-x86_64/PKGBUILD)

Felix Yan felixonmars at archlinux.org
Tue May 5 05:24:45 UTC 2020


    Date: Tuesday, May 5, 2020 @ 05:24:44
  Author: felixonmars
Revision: 382244

archrelease: copy trunk to staging-x86_64

Added:
  epiphany/repos/staging-x86_64/
  epiphany/repos/staging-x86_64/PKGBUILD
    (from rev 382243, epiphany/trunk/PKGBUILD)

----------+
 PKGBUILD |   43 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 43 insertions(+)

Copied: epiphany/repos/staging-x86_64/PKGBUILD (from rev 382243, epiphany/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2020-05-05 05:24:44 UTC (rev 382244)
@@ -0,0 +1,43 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=epiphany
+pkgver=3.36.1
+pkgrel=2
+pkgdesc="A GNOME web browser based on the WebKit rendering engine"
+url="https://wiki.gnome.org/Apps/Web"
+arch=(x86_64)
+license=(GPL)
+depends=(webkit2gtk gcr icu libdazzle libhandy)
+makedepends=(docbook-xml startup-notification lsb-release gobject-introspection yelp-tools
+             appstream-glib git meson)
+checkdepends=(xorg-server-xvfb)
+groups=(gnome)
+_commit=982639bc51dbf1db3f16d13bc353b0f9c71b970e  # tags/3.36.1^0
+source=("git+https://gitlab.gnome.org/GNOME/epiphany.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+}
+
+build() {
+  arch-meson $pkgname build
+  ninja -C build
+}
+
+check() {
+  # ERROR:../epiphany/tests/ephy-web-app-utils-test.c:109:test_web_app_lifetime: assertion failed (g_list_length (apps) == 1): (0 == 1)
+  dbus-run-session xvfb-run \
+    -s '-screen 0 1920x1080x24 -nolisten local' \
+    meson test -C build --print-errorlogs || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}


More information about the arch-commits mailing list